Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.testing.jacoco.plugins
[Groovy] Class JacocoPlugin

    java.lang.Object
      org.gradle.testing.jacoco.plugins.JacocoPlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    class JacocoPlugin

Plugin that provides support for generating Jacoco coverage data.

Property Summary
`static String` | `AGENT_CONFIGURATION_NAME`
`static String` | `ANT_CONFIGURATION_NAME`
`static String` | `PLUGIN_EXTENSION_NAME`

Constructor Summary
`JacocoPlugin(Instantiator instantiator)` Applies the plugin to the given project.

Method Summary
`void` | `apply(Project project)`
`def` | `configureDefaultOutputPathForJacocoMerge()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### AGENT_CONFIGURATION_NAME

    static final String AGENT_CONFIGURATION_NAME

### ANT_CONFIGURATION_NAME

    static final String ANT_CONFIGURATION_NAME

### PLUGIN_EXTENSION_NAME

    static final String PLUGIN_EXTENSION_NAME

Constructor Detail

### JacocoPlugin

    @Inject
    JacocoPlugin(Instantiator instantiator)

  Applies the plugin to the given project.
  Parameters:
    `project` - the project to apply to

Method Detail

### apply

    void apply(Project project)

### configureDefaultOutputPathForJacocoMerge

    def configureDefaultOutputPathForJacocoMerge()

Gradle API 1.10